Bug 446845 - unable to enumerate USB device on port
unable to enumerate USB device on port
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
:
: 446983 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 09:04 EDT by Sergio Morais Lietti
Modified: 2012-09-11 12:54 EDT (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:42:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot log (116.02 KB, text/plain)
2008-05-20 22:14 EDT, Mike Pope
no flags Details
The date, kernel info, and dmesg output showing my USB warning (5.45 KB, text/plain)
2008-06-17 18:38 EDT, d
no flags Details

  None (edit)
Description Sergio Morais Lietti 2008-05-16 09:04:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
After updating to kernel 2.6.25.3-18.fc9.i686, the message 
"hub 1-0:1.0: unable to enumerate USB device on port 3"
is being shown during boot.

Version-Release number of selected component (if applicable):
kernel 2.6.25.3-18.fc9.i686

How reproducible:
Always


Steps to Reproduce:
1. Boot kernel 2.6.25.3-18.fc9.i686
2.
3.

Actual Results:
Message on boot "hub 1-0:1.0: unable to enumerate USB device on port 3"

Expected Results:
Boot without this boot warning message. Enumerate USB problem solved.

Additional info:
Comment 1 Wolfgang Rupprecht 2008-05-18 12:50:09 EDT
I'm seeing this also on a Tyan S2865 amd64 under 2.6.25.3-18.fc9.x86_64.  In my
case the usb keyboard is inoperative so it is a bit more annoying than just a
logfile message.

May 17 23:01:06 arbol kernel: hub 1-0:1.0: unable to enumerate USB device on port 1
May 17 23:01:06 arbol kernel: hub 1-0:1.0: unable to enumerate USB device on port 1
May 17 23:01:06 arbol kernel: usb 2-1: new full speed USB device using ohci_hcd
and address 29
May 17 23:01:07 arbol kernel: usb 2-1: device descriptor read/64, error -62
May 17 23:01:07 arbol kernel: usb 2-1: device descriptor read/64, error -62
May 17 23:01:07 arbol kernel: usb 2-1: new full speed USB device using ohci_hcd
and address 30
May 17 23:01:07 arbol kernel: usb 2-1: device descriptor read/64, error -62
May 17 23:01:08 arbol kernel: usb 2-1: device descriptor read/64, error -62
May 17 23:01:08 arbol kernel: usb 2-1: new full speed USB device using ohci_hcd
and address 31
May 17 23:01:08 arbol kernel: usb 2-1: device not accepting address 31, error -62
May 17 23:01:08 arbol kernel: usb 2-1: new full speed USB device using ohci_hcd
and address 32
May 17 23:01:09 arbol kernel: usb 2-1: device not accepting address 32, error -62
May 17 23:01:09 arbol kernel: hub 2-0:1.0: unable to enumerate USB device on port 1
Comment 2 Richard Körber 2008-05-19 04:03:08 EDT
I can confirm this on a Lenovo R61 (kernel 2.6.25.3-18.fc9.x86_64).

Also, the two USB ports on the right side of the notebook are not accepting any
USB device. When I connect USB devices there (e.g. USB harddisk), another
"unable to enumerate" is logged, and the device is not listed in lsusb.

The USB port on the left side is working fine though, as well as the USB ports
on the docking station.
Comment 3 dominique 2008-05-19 05:43:15 EDT
*** Bug 446983 has been marked as a duplicate of this bug. ***
Comment 4 dominique 2008-05-19 05:45:42 EDT
I have same problèm with my Toshiba X200
See bug 446983
Comment 5 Tom Hughes 2008-05-19 10:29:44 EDT
I'm also seeing this with an ASUS M2N motherboard (nVidia MCP61 chipset).
Comment 6 Airate 2008-05-19 12:58:10 EDT
i met this problem too, Thinkpad T43 , boot from slim drive adapter.
Fedora 9 : 2.6.25.3-18.fc9.i686

the two USB ports on the thinkpad worked well.
Comment 7 Mike Pope 2008-05-20 22:14:12 EDT
Created attachment 306201 [details]
boot log

I have been seeing this (albeit error -71) for some time.  With the F9 kernels
it is now so bad that some times it loops forever.  A case where it did give up
after a while is attached.  I can stop the problem by removing the offending
device (a nonname multi-flash card/USB thing), or disabling USB2 in the bios. 
I have checked the cables carefully, and the device has worked in the past.
Comment 8 Mike Pope 2008-05-22 20:14:04 EDT
Following up, I just moved the offending device to a fully updated F8 machine.  
There were a few whines from the USB enumeration on boot, but the machine 
comes up fine and the device works.  lsusb describes it as:

Bus 001 Device 009: ID 0424:2228 Standard Microsystems Corp. 9-in-2 Card 
Reader
Bus 001 Device 008: ID 0424:2503 Standard Microsystems Corp. USB 2.0 Hub
Bus 001 Device 006: ID 0424:2504 Standard Microsystems Corp. USB 2.0 Hub

I then put it back in the F9 box.  Infinite loop on boot.  Not good.
Comment 9 Dr. Peter Boy 2008-05-29 06:06:33 EDT
Same problem here with a Thinkpad T40p. The message shows up during boot.
Nevertheless USB mouse works fine, but when I attach an USB mem stick, the
message is showing up repeatedly in the log and the stick will not get mounted.

Solution here: modprobe -r ehci_hcd
Comment 10 Sergio Morais Lietti 2008-06-06 20:42:44 EDT
Problem persists in kernel 2.6.25.4-30.fc9.i686.
Comment 11 dominique 2008-06-08 02:33:38 EDT
And there is same problem with the new kernel of F8, the 2.6.25.4-10.fc8.
Comment 12 renke 2008-06-11 15:31:03 EDT
same here on F8 2.6.25.4-10.fc8 - sorry for spamming but this problem is maybe
worse, since this kernel release my laptop sometimes just stops working, nothing
useful in logs.

I will try to isolate and specify the problem.
Comment 13 renke 2008-06-13 04:14:07 EDT
it looks like that the kernel 2.6.25 is responsable for the freezing of the
laptop (a FSC Amilo A7645) when using a USB mouse.

As said before I can found nothing in the logs and the hanging isn't
reproducable but the system hangs suddenly after some hours.

Can anyone give me hints how to track this problem so I'm able to give you
better input?
Comment 14 Lauro César Alves 2008-06-16 17:32:14 EDT
I'm also getting this message.

Dell Dimension 1100 Desktop N Series
Fedora 9 - Kernel 2.6.25.6-55-FC9.i686
Comment 15 Lauro César Alves 2008-06-16 17:39:45 EDT
	
The problem for me began after update to the kernel 2.6.25.6-55-FC9.i686

Message (during the boot):
hub 1-0:1.0: unable to enumerate USB device on port 1
hub 1-0:1.0: unable to enumerate USB device on port 2
hub 1-0:1.0: unable to enumerate USB device on port 3
Comment 16 Suvayu 2008-06-17 05:36:51 EDT
Kernel: 2.6.25.4-10.fc8

I am getting the same error for every USB device connected to the system at boot
time since I updated to the latest kernel. However the USB devices function as
they are supposed to despite the error.

USB devices connected,
1. Logitech G5 Laser Gaming mouse
2. APC Back UPS ES 500
Comment 17 Jean 2008-06-17 06:42:59 EDT
also have Kernel: 2.6.25.4-10.fc8

Get same error but USB Logitech keyboard/mouse combo stop working!
Comment 18 d 2008-06-17 18:38:34 EDT
Created attachment 309675 [details]
The date, kernel info, and dmesg output showing my USB warning

I'm not sure if this makes more sense classified in Fedora 8 or Fedora 9, since
it really seems to exist in both, given you have the afflicted kernel. I'm on
Fedora 8 with a Shuttle PC (I'm not sure exactly what motherboard) and I am
getting the error, however, it doesn't seem to actually cause the USB devices
to fail.

I have 2 USB keyboards w/ built in trackpads plugged in:

Port #7: Logitech diNovo Edge
Port #8: Logitech diNovo mini
Comment 19 Jodi Middleton 2008-06-18 22:21:40 EDT
I had this issue with freezing but in the bios there was an option to change the
USB ports from OS controlled to BIOS. It happened after the bios reset when
installing a TV card. Changing this option did not get rid of the error message
but it has stopped the freezing.
Comment 20 Joe Krahn 2008-06-23 12:17:38 EDT
The new kernels make my laptop unusable. Both the built-in pointer and external
mouse do not work. Maybe the priority should be incremented to high or urgent.

According to LKML, empty hubs always resulted in an "unable to enumerate" error,
but they just were not getting logged:
http://lkml.org/lkml/2008/4/26/217

It is possible that the actual USB bug just happened to get committed at the
same time.
Comment 21 renke 2008-06-25 10:02:54 EDT
on my laptop with kernel.x86_64 2.6.25.6-27.fc8 I still see the
"enumerate"-message but at least the machine don't freezes anymore
Comment 22 renke 2008-06-25 15:18:30 EDT
comment #21 is unfortunately not true - 2 days of using the new kernel wasn't
sufficient to see a freeze, switched back to 2.6.24.7

Jodis (comment #19) hints aren't a solution for me as I neither changed my
hardware nor have a USB configuration in BIOS.

any ideas how to track this random freezes?
Comment 23 Joe Krahn 2008-06-25 23:54:03 EDT
(In reply to comment #21)
> on my laptop with kernel.x86_64 2.6.25.6-27.fc8 I still see the
> "enumerate"-message but at least the machine don't freezes anymore
Same here. My system was not freezing, but USB input devices didn't work. I
guess the enumerate message really is a coincidence.
Comment 24 Cesar Mas 2008-06-28 21:11:41 EDT
I have  exactly the same problem  using   kernel vmlinuz-2.6.25.6-55.fc9.i686
vmlinuz-2.6.25.6-55.fc9.i686. The way around is  to use  2.6.25-14.fc9.i686 .
Comment 25 Abhi 2008-06-29 23:01:40 EDT
Kernel 2.6.25.6-27.fc8 giving me the same problem of unable to enumerate USB
device. However it boots normally and devices are working normally, but system
freezes abruptly with a beep. It happened even when I didn't have any USB
devices plugged in. It started only after the kernel upgrage
Comment 26 dominique 2008-06-30 03:48:22 EDT
I have try this:
With my laptop toshiba I have a mice plugged with usb and I have:
hub 1-0:1.0: unable to enumerate USB device on port 1
hub 2-0:1.0: unable to enumerate USB device on port 2

When I change the usb port of my mice I have:
hub 1-0:1.0: unable to enumerate USB device on port 1
hub 2-0:1.0: unable to enumerate USB device on port 4
And my mice work fine with the two ports...



Comment 27 Bob Masters 2008-07-01 04:15:31 EDT
I'm on 2.6.25.6-27.fc8 kernel (-Fedora8-), and I get those warnings as well.
Sometimes it loads Fedora8 regularly with devices working (seemingly), and
sometimes it doesn't continue from loading UDev (infinite loop?).
Comment 28 renke 2008-07-03 16:30:27 EDT
with 2.6.25.9-40.fc8 the laptop still freezes eventually. is there any upstream
info about this behaviour? it happens only while using my (USB) mouse [to be
honest, not a valid argument as I normally move my mouse while surfing...]
Comment 29 Vasile Gaburici 2008-07-06 02:47:31 EDT
There are actually two flavors of this bug. On my ATI SB400 southbridge anyway.
The lite version is when only the "unable to enumerate USB device on port" shows
up. This can happen either at boot (if the device is already plugged) or when
the device is plugged later. This bug seems harmless except for the slowdown it
causes at boot. On my system a device that causes this is:

Bus 003 Device 003: ID 047d:102e Kensington Pilot Optical Pro

The nasty version of the bug happens when "device not accepting address 4, error
 -62" happens (address and error code can vary). On my laptop this is caused by
a:

Bus 003 Device 005: ID 06a9:1991 Westell 

which really is based on kernel log:

Jul  6 09:34:10 localhost kernel: usb 3-2: Product: Bencent IEEE-1284 Printer Cabla
Jul  6 09:34:10 localhost kernel: usb 3-2: Manufacturer: Bencent
Jul  6 09:34:10 localhost kernel: usblp0: USB Bidirectional printer dev 5 if 0
alt 1 proto 2 vid 0x06A9 pid 0x1991

[FYI, the "Cabla" spelling error belongs to the manufacturer].

Why is this nastier? Well, if the laptop is put to hibernate, and the USB
printer adapter is connected, then it fails to come out of hibernation! It does
a normal cold boot instead, i.e. the memory is not restored from disk but lost.

Finally some devices cause no error at all, for instance this one works fine:

Bus 003 Device 006: ID 152d:2338 JMicron Technology Corp. / JMicron USA
Technology Corp. JM20337 Hi-Speed USB to SATA & PATA Combo Bridge
Comment 30 Peter Åstrand 2008-07-10 16:57:50 EDT
Similar problems on Fujitsu-Siemens Scaleo EV. 
Comment 31 Mike Pope 2008-07-10 20:05:46 EDT
Updated to kernel-2.6.25.9-76.fc9.x86_64, and now the infinite-loop-on-boot
is completely reliable.  As before, the only cure is to remove the 
known-working-on-F8 device.
Comment 32 Jacques Dong 2008-07-16 10:36:11 EDT
similar problems on a new lenovo laptop F31
FC9 2.6.25-14 (x86_64)
Comment 33 Steve Adams 2008-07-17 09:52:14 EDT
Just updated kernel to 2.6.25.10-47.fc8 i686 and I still see the 'unable to
enumerate USB device' message. Other than the message itself, there are no
lockups or other problems on my Dell D810.
Comment 34 Jacques Dong 2008-07-18 02:17:55 EDT
Tried kernel 2.6.25.10-86 and still got the problem.
Just an annoying message, however, seems no other problem anyway.
Comment 35 David Siorpaes 2008-07-18 08:19:10 EDT
Same error here on 2.6.25.9-76, Dell Optiplex 740.
At random, either USB mouse or keyboard stop working. Very annoying as reboot is
the only solution.
Comment 36 Peter Åstrand 2008-07-18 18:17:56 EDT
On the Fujitsu-Siemens Scaleo EV, I also had the problem that the machine was
running extremely slow. On this Dual Core machine, top required ~20% CPU, for
example. A new bash tog ~10 seconds to start, and it consumed 99% CPU during
that time. Tried different kernels, without luck. 

All these problems seems to have gone away when I added the boot parameter
mem=1008M. 
Comment 37 Otto de Voogd 2008-07-22 11:25:17 EDT
hub 4-0:1.0: unable to enumerate USB device on port 1
hub 1-0:1.0: unable to enumerate USB device on port 5
hub 1-0:1.0: unable to enumerate USB device on port 8

This problem occurs for me using a "normal" mouse and when I try to connect my
camera. Occasionally the computer seems to forget that the mouse is there, you
need to unplug and replug it. Occasionally it also "forgets" the left-handed
mode. As for my camera I can't get it to connect at all (this could be due to
other things too, but the first error I get with when connecting the camera is
this one). And strangely I also get the error on an unused port.

Usign: Dell Inspiron 9300, Trust Mini Optical mouse, Canon IXUS 500.
Comment 38 Philippe A 2008-07-26 11:32:54 EDT
I am having this problem with a Kingston Datatraveler 1GB USB key. The "unable
to enumerate USB device on port" floods my log without the key ever mouting.
Unloading the ehci_hcd module as proposed in #9 fixes the problem. The key
mounts without problems on Windows. In fact, I reformatted on Windows but it
didn't help in any way.

That does not happen with another Kingston Datatraveler 512MB key. 
Comment 39 Ray Todd Stevens 2008-08-04 13:43:50 EDT
I find it interesting that I get this even though while I have a USB controler and etc, I don't have any USB devices on the system other than the controler.   I hope this helps in narrowing this one down.
Comment 40 Tony Arie Kolev 2008-08-07 11:55:53 EDT
I have the same message,but additionally my Canon usb camera fails to connect.
It happen after upgrading from FC6 to FC9.
I am including a part of messages file:

hub 1-0:1.0: unable to enumerate USB device on port 2
usb 2-2: new full speed USB device using uhci_hcd and address 9
usb 2-2: configuration #1 chosen from 1 choice
usb 2-2: New USB device found, idVendor=04a9, idProduct=30c1
usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 2-2: Product: Canon Digital Camera
usb 2-2: Manufacturer: Canon Inc.
usb 2-2: reset full speed USB device using uhci_hcd and address 9
usb 2-2: device firmware changed
usb 2-2: USB disconnect, address 9
usb 2-2: new full speed USB device using uhci_hcd and address 10
gvfsd-gphoto2[14987]: segfault at c ip 004387a0 sp bf81c1cc error 4 in libpthread-2.8.so[431000+15000]
usb 2-2: configuration #1 chosen from 1 choice
usb 2-2: New USB device found, idVendor=04a9, idProduct=30c1
usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 2-2: Product: Canon Digital Camera
usb 2-2: Manufacturer: Canon Inc.

I opened another bug report:

https://bugzilla.redhat.com/show_bug.cgi?id=426869

Why nobody from RedHat response ?
Comment 41 Jason Bogstie 2008-08-16 15:29:34 EDT
I have this same problem on Fedora 9, I get an infinite loop of the following:

Aug 16 13:25:19 localhost kernel: usb 1-3: device descriptor read/8, error -110
Aug 16 13:25:24 localhost kernel: usb 1-3: device descriptor read/8, error -110
Aug 16 13:25:24 localhost kernel: usb 1-3: new high speed USB device using ehci_hcd and address 72


I upgraded to kernel 2.6.25.14-108.fc9.i686 from 2.6.25.11-97.fc9.i686 and the problem persists.

This also causes my USB Keyboard and Mouse to not work on bootup, but after 5 minutes of waiting on the login screen suddenly everything starts working again and I can use my USB Mouse and Keyboard, but this loop still persists.

Any help is greatly appreciated.
Comment 42 Richard Körber 2008-08-17 17:21:27 EDT
This bug is three months old now. There have been a couple of kernel updates in the meantime, but no visible progress regarding this issue so far. If there was a "most annoying long term Fedora bug" contest, this bug would be very likely to win it. ;)

Is this bug the same as the upstream bug http://bugzilla.kernel.org/show_bug.cgi?id=10913 ?

What can we do to finally get this one fixed?
Comment 43 Jason Bogstie 2008-08-17 19:05:07 EDT
(In reply to comment #42)
> This bug is three months old now. There have been a couple of kernel updates in
> the meantime, but no visible progress regarding this issue so far. If there was
> a "most annoying long term Fedora bug" contest, this bug would be very likely
> to win it. ;)
> 
> Is this bug the same as the upstream bug
> http://bugzilla.kernel.org/show_bug.cgi?id=10913 ?
> 
> What can we do to finally get this one fixed?

It is similar, but not exactly the same, it seems that this problem manifests as slightly different technical glitches in the USB devices of everyone.  This problem is a real pain for me, and I cannot find any way to correct it.  What bothers me the most is the apparent lack of communication from the devs. Kernel updates and even downgrading has not resolved this issue for me.
Comment 44 Richard Körber 2008-08-28 18:05:28 EDT
So is this a Fedora related issue, or is it already an issue of the vanilla kernel? In the latter case, maybe we should open an upstream bug report?
Comment 45 Beech Horn 2008-08-31 09:22:25 EDT
Same error messages with a Biostar 200N on Fedora 9. No USB issues found though, just a superfluous error message.
Comment 46 Pete Zaitcev 2008-09-01 18:27:20 EDT
Richard, the problem here is, there can be no one upstream bug report.
Thousands of unrelated problems can trigger this message. Basically
it's the second edition of "timeout on ep0in" (Eventually I stopped
people from filing that by removing the message altogether; that made
them describe the actual problem they're having, such as "mouse does
not work"). If you open the upstream report, for all that's sacred,
don't name it "unable to enumerate". Report your real issue, not
the message.
Comment 47 Richard Körber 2008-09-01 19:02:35 EDT
Thanks, Pete. Point taken.

I'm not quite sure what I should do next, though. Should I file a "USB ports do not work" bug against the Fedora bugzilla, since there is none yet? I'm really sorry to pester, but I want to have this bug fixed.
Comment 48 Ray Todd Stevens 2008-09-01 19:15:19 EDT
I find it interesting that I am getting this message and it is causing problems with no USB devices hooked up at all ;-)
Comment 49 Pete Zaitcev 2008-09-01 19:31:13 EDT
File away, unless you're on Lenovo T61 (we have a special investigation
going about those -- apparently some of the motherboards were defective).

And rememember, it's much, much easier to dup bugs once they're found
to stem from the same root cause than to divorce something like this.
So, no problem with pestering.
Comment 50 Airate 2008-09-13 12:14:05 EDT
after update kernel to 2.6.26.3-29 , this message disapeared
Comment 51 Jason Bogstie 2008-09-14 00:09:02 EDT
after update kernel to 2.6.26.3-29, my problem is worse, it takes linux longer to recognize my mouse and keyboard, I have to wait almost 5 minutes after boot until my USB keyboard and mouse begin to work.
Comment 52 renke 2008-09-14 07:33:31 EDT
though the warning is gone with 2.6.26.3-14.fc8 (only suppressed, not "really" fixed I think) the laptop still stops responding after some time (today two times within 4 hours), I'm back to a 2.26.4 kernel (in my case 2.6.24.7-1.rt3.2.fc8.ccrmart, but every kerne before 2.6.25 works).

to define "freezing":
- the usb audio stops working (nothing in logs, it isn't possible to stop pulseaudio)
- the Gui still responds, but very slow
- when I try to shutdown the system the daemons can't be stopped properly (tor hangs when "killproc $prog" is performed)

The pc seems to be working (I can start programs, close them without errors, ...) but on some very basic level the thing is really broken (killproc not working? wtf?)

I'm not sure that this is related to the usb messages in this bug but it started with kernel 2.6.25.4-10.fc8
Comment 53 Michal Klich 2008-09-27 12:00:25 EDT
My laptop also suffers from this bug.
Kernel that i use is current 2.6.26.3-29.fc9.x86_64.

I am unable to use my usb mouse as it freezes after some time.
Previously, with older kernels, i had error message at boot. 
This one does not give me taht error but result is same. I can not use my mouse. Though i can use my flash drive with no problems.

usb 5-1: new low speed USB device using uhci_hcd and address 2                  
usb 5-1: configuration #1 chosen from 1 choice                                  
input: KYE USB MOUSE as /devices/pci0000:00/0000:00:1d.1/usb5/5-1/5-1:1.0/input/input9                                                                          
input,hidraw0: USB HID v1.10 Mouse [KYE USB MOUSE] on usb-0000:00:1d.1-1        
usb 5-1: New USB device found, idVendor=0458, idProduct=0007                    
usb 5-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0               
usb 5-1: Product: USB MOUSE                                                     
usb 5-1: Manufacturer: KYE                                                      
usb 5-1: reset low speed USB device using uhci_hcd and address 2                
usb 5-1: device descriptor read/64, error -71                                   
usb 5-1: device descriptor read/64, error -71
usb 5-1: reset low speed USB device using uhci_hcd and address 2
usb 5-1: device descriptor read/64, error -71
usb 5-1: device descriptor read/64, error -71
usb 5-1: reset low speed USB device using uhci_hcd and address 2
usb 5-1: device not accepting address 2, error -71
usb 5-1: reset low speed USB device using uhci_hcd and address 2
usb 5-1: device not accepting address 2, error -71
usb 5-1: USB disconnect, address 2
usb 5-1: new low speed USB device using uhci_hcd and address 3
usb 5-1: device descriptor read/64, error -71
usb 5-1: device descriptor read/64, error -71
usb 5-1: new low speed USB device using uhci_hcd and address 4
usb 5-1: device descriptor read/64, error -71
usb 5-1: device descriptor read/64, error -71
usb 5-1: new low speed USB device using uhci_hcd and address 5
usb 5-1: device not accepting address 5, error -71
usb 5-1: new low speed USB device using uhci_hcd and address 6
usb 5-1: device not accepting address 6, error -71
hub 5-0:1.0: unable to enumerate USB device on port 1
Comment 54 Sergio Morais Lietti 2008-09-27 16:47:53 EDT
After updating to kernel 2.6.26.3-29 the message "unable to enumerate USB device on port" is gone but a new one is being shown during boot on my desktop, a dell optiplex gx280, "pnp 00:09: can't add resource for IO 0x5100-0x51fe" . I have no idea what this means since everything seems to work fine.
Comment 55 Jason Bogstie 2008-10-10 18:39:11 EDT
I am using Kernel 2.6.26.5-45.fc9.i686 and the problem still exists.  Is there any progress on fixing this issue?  Why are there no developers working on this problem?
Comment 56 Dr. Peter Boy 2008-10-10 19:34:35 EDT
Jason, have a look at comment 46 ff. There are devs working on it. The message does have a lot of different reasons. It is just a kind of epiphenomenon.

Perhaps this bug should be closed with a list of the different "real" bug reports.
Comment 57 Dr. Peter Boy 2008-10-10 20:04:21 EDT
Forgot to mention: for me the bug (USB memory stick not recognized) has gone with kernel 2.6.26.5-45.fc9.i686 (see comment no. 9).
Comment 58 Ray Todd Stevens 2008-10-10 23:27:04 EDT
Dr Peter Boy:

For some of what is here you might be right, but this message is the only more main clue and die in to the error for many of us.   I am specifically experiencing two things.   This error and then usb ports don't work.

I would think if the developers maybe started a more descriptive message then maybe closing this one and starting over with each occurring more descriptive message might be good.   But right now, how would you break out these seperate "real" bugs?
Comment 59 The Old Man 2008-12-12 15:04:19 EST
(In reply to comment #48)
> I find it interesting that I am getting this message and it is causing problems
> with no USB devices hooked up at all ;-)

Same here, no usb-device connected, getting the message anyway.
Still there, even in fedora 10 (all kernel-releases).

Only connection to this usb-enumerate-message and kernel i can think of (but may be total nonsense) is that there was an usb-device connected when a new kernel was installed by update.
Very annoying and giving a sense to the average (newbie-linux)user his operating system is not working properly (which isn't so of course, it is fabulous :P) or at least buggy.

So peeps and devs, maybe this is not a real big problem-bug-thingie, is has a very big (negative) impact on the Fedora-distro image, or at least on the reputation of Linux-os.

Fix it plz.

I am very sorry i am not capable to do so....
Comment 60 Ray Todd Stevens 2008-12-12 15:26:41 EST
I do notice several bios options on my system, is there something that needs to be checked against some of these options?
Comment 61 The Old Man 2008-12-12 15:51:35 EST
I need usb-support badly, so for me disabeling all usb-support in bios (including legacy) is not an option.
Guess every one needs usb-support these days.....But i never tried because of that, i shall (machine not here atm) and report back when done (but "walking with stick" here so may take a while...;))
Comment 62 Ray Todd Stevens 2008-12-12 16:55:43 EST
I tend to agree about disabling it.  Sooner or later I will need it, but my bios has a bunch, well about 5 different options for configuring the usb ports, and I figured that one of them might give an indication  of where this problem is coming from.   Yes the development team need to give some serious thought to this one.   It maybe needs to even be a high priority.
Comment 63 The Old Man 2008-12-13 04:56:00 EST
(In reply to comment #62)
> I tend to agree about disabling it.  Sooner or later I will need it, but my
> bios has a bunch, well about 5 different options for configuring the usb ports,
> and I figured that one of them might give an indication  of where this problem
> is coming from.

You can always try; it is my understanding though that this message is (better: can be) caused by a number of different things. 
At the other hand, it is a good point to start at, especially because i know now that disabling usb-controllers on my MSI K9N4 Ultra-F (MS-7310) motherboard keeps the message away. I only have options ENABLE and DISABLE on that mb, btw. USB legacy support ON or OFF makes no diff.

Strangely all my USB-ports are working, and the "problem port" shows to be active and very healthy. All my usb devices are working on all my usb ports.

>  Yes the development team need to give some serious thought to
> this one.   It maybe needs to even be a high priority.

I do agree here, i strongly appeal on Pete Zaitcev here to give this one a higher priority. I am aware that everyone is very busy, but this is a message that *does* cause new linux-users (people who are using a particular other OS whom i try to convince to switch to a better one, for instance) NOT TO SWITCH TO LINUX. It just looks too alarming and "there is something very wrong here" for someone who is a basic compu-users in the first place. 
And how do you convince people linux is a great OS when it starts (!) with an error-message?
Comment 64 Adrie Taniwidjaja 2009-01-14 20:13:44 EST
Hi guys,

How does the progress of this bug ?
Almost half a year since this bug first time reported and the status still New. Isn't there any one who worked on this case ?
I am waiting for a solution for this case because my scanner on HP Officejet 4355 All-in-One printer don't work any more after I change from Fedora 8 to Fedora 9. The printer still function normally but the scanner could not detected by the "Scanner Tool".
I have tried Mandriva 2009 (which is coming with ver 2.8.27 kernel) and also Open Suse 11.0 (which is still using kerner ver 2.6.25) and found no error like this.
I am wondering how could Mandriva don't show this kind of bug since Mandriva is direct descendent of Fedora (if I am not wrong).
What makes me very sad after reading comment #59 that this problem still there on Fedora 10. Do we have to wait until Fedora 11 or even more or should we move to other distro to get our peripheral works again ?
Comment 65 Pete Zaitcev 2009-01-14 21:12:37 EST
Adrie, this bug will be forever with us until the darn message is deleted.
It's not a red herring, but by itself it tells us exactly nothing and leads
to a monsterbug with dozens of causes all dumped into it.

Please file a bug regarding the scanner. That's what your real problem is,
not the message.
Comment 66 Ray Todd Stevens 2009-01-15 12:21:31 EST
It does look like someone needs to be looking into this.

#1   This seems to be specific to the fedora and redhat distributions.  This is both in this message occurring and in the resulting failures.   I have had several pieces of hardware come in fully functional with ubuntu loaded.   Installing fedora on these stations as that is what we are standardized on breaks the USB ports.

#2   If this message is indeed that nonspecific, it probably doesn't need to be removed it neededs to be made specific.

#3   This message also occurs with just the USB ports in existence and without anything plugged into them.
Comment 67 Jason Bogstie 2009-01-15 12:31:17 EST
What I know is that this is pretty exhausting, this is a real problem and no one is helping to resolve it.

I have noticed however that in my case the message will go away temporarily if you unplug the USB device before you start up your machine, wait until you login and then plug the device back into the USB port.  This has helped some of the time. I also have unplugged all USB devices that I do not regularly use, so I usually just have my USB keyboard and mouse connected.

I also discovered that switching the devices to other USB ports has given me some relief as well. So if the problem occurs it is also worthwhile to try plugging your devices into different USB ports.
Comment 68 gregor 2009-01-15 16:12:58 EST
hi, 

i have exactly the same problem on a laptop with fedora 10.

hub 1-0:1.0: Cannot enable port 1. Maybe the USB cable is bad?
hub 1-0:1.0: unable to enumerate USB device on port1

with ubuntu it works, but i love fedora :-)
i hope somebody found a soluton so i can use fedora on my laptop.

greetings from austria
gregor
Comment 69 Ray Todd Stevens 2009-04-06 17:11:12 EDT
Still no fix on this.   Although the little bar instead of error messages does seem to hide this fact.   Is there a good way to disable that bar when testing things?
Comment 70 Ray Todd Stevens 2009-04-06 17:13:12 EDT
Someone needs to update the version on this one to 10.
Comment 71 Bug Zapper 2009-06-09 20:53:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 72 Mike Pope 2009-06-15 00:52:25 EDT
This bug is still present in Fedora 11.  The hang is gone, but the -71 errors still go on for about two minutes, and the device does not work.
Comment 73 Ray Todd Stevens 2009-06-25 09:14:33 EDT
I concur I get this in 11.

All we seem to get getting from the redhat side is that this error message doesn't mean anything so that we need to give them more information in order for them to fix it.   I don't see anything about how and where we find the additional information.
Comment 74 Bug Zapper 2009-07-14 12:42:25 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 75 Ray Todd Stevens 2009-07-14 18:08:42 EDT
A new bug has been created for this 511391

This is because the version number was not updated and apparently can't be update to reflect the fact that this is still occurring in the current fc11.

Everyone interested you can add yourself to the cc list of the new bug.
Comment 76 Roland Orre 2012-09-11 05:07:10 EDT
This started to become a problem with the 3.* kernels.
The funny thing is that it seems to be related to ohci_hcd which is not usually needed anymore, apart from for some usb cardbus cards (I tested with a AKE/Nec BC168 and a Belkin (both using NEC (rev 43) for USB 1.1 and (rev 04) for 2.0).

However, I have removed the ohci_hcd from the kernel (or moved to disabled/ohci_hcd.ko.disabled) but it's still loaded. Then I found it in /boot/grub as ohci_hcd.mod so I moved that to /boot/grub/disabled/ohci_hcd.mod.disabled, but... the module is still complaining during boot...

I simply don't understand how this module is loaded...

I have seen elsewhere that ohci_hcd should not be needed any more and when I connect a keyboard to a builtin usb port it is not needed, but when I connect a cardbus with usb slots I seem to need it for slow devices.... 

As this bug is closed, but obviously still there in some sense, I wonder what is the solution?
Comment 77 Jacek Piskozub 2012-09-11 06:57:59 EDT
Roland, if you read one comment above your you would know a new active bug 511391 has been created for this problem. One that waits for user input, actually.

Note You need to log in before you can comment on or make changes to this bug.